package com.docus.bgts.service;


import com.docus.bgts.entity.MrReportError;
import com.docus.bgts.facade.IMrReportErrorService;
import com.docus.bgts.mapper.MrReportErrorMapper;
import com.docus.bgts.utils.FileUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Slf4j
@Service
public class MrReportErrorServiceImpl  implements IMrReportErrorService {

    @Autowired
    MrReportErrorMapper mrReportErrorMapper;

    @Override
    public void insert(String xml) {
        log.info("------发送错误：并记录日志------");
        MrReportError mrReportError=new MrReportError();
        mrReportError.setXml(xml);
        mrReportError.setCreateTime(new Date());
        Integer collectorid = Integer.valueOf(String.valueOf(FileUtils.getJsonByName("collectorid")));
        mrReportError.setReportType(collectorid);
        mrReportErrorMapper.save(mrReportError);
        log.info("--------日志记录完成------");
    }
}
